Subject: [Spasm] New Internet-Draft: draft-housley-rfc5280-i18n-update-00.txt

From: Russ Housley <[email-masked]>
Date: Thu, 5 Jan 2017 12:11:10 -0500

I was encouraged to write this by Alexey.  I do not expect it to become a LAMPS WG document, but the people that are best able to review it are on this mail list.

Russ

= = = = = =

A new version of I-D, draft-housley-rfc5280-i18n-update-00.txt
has been successfully submitted by Russ Housley and posted to the
IETF repository.

Name:		draft-housley-rfc5280-i18n-update
Revision:	00
Title:		Internationalization Updates to RFC 5280
Document date:	2017-01-05
Group:		Individual Submission
Pages:		8
URL:            https://www.ietf.org/internet-drafts/draft-housley-rfc5280-i18n-update-00.txt
Status:         https://datatracker.ietf.org/doc/draft-housley-rfc5280-i18n-update/
Htmlized:       https://tools.ietf.org/html/draft-housley-rfc5280-i18n-update-00

Abstract:
  These updates to RFC 5280 provide clarity on the handling of
  Internationalized Domain Names (IDNs) and Internationalized Email
  Addresses in X.509 Certificates.

---

From: Russ Housley <[email-masked]>
Date: Thu, 5 Jan 2017 13:00:33 -0500

I created the attached HTML file to review the changes in draft-housley-rfc5280-i18n-update-00.txt.  I think it makes review of the changes much easier.

Russ

---

From: Wei Chuang <[email-masked]>
Date: Fri, 6 Jan 2017 10:27:52 -0800

Hi Russ,

I did a quick pass.  Just three comments:
1) The document still references RFC3490 in places which has been obsoleted
by RFC5890.  Probably just need to substitute one for the other.
2) Just mentioning that post-update, IRI will still reference RFC3987 which
uses RFC3490 (IDNA2003).  May that is out of scope.
3) The updates for EAI looks good to me.

-Wei

On Thu, Jan 5, 2017 at 10:00 AM, Russ Housley <[email-masked]> wrote:

> I created the attached HTML file to review the changes in
> draft-housley-rfc5280-i18n-update-00.txt.  I think it makes review of the
> changes much easier.
>
> Russ
>
>
>
>
>
> > I was encouraged to write this by Alexey.  I do not expect it to become
> a LAMPS WG document, but the people that are best able to review it are on
> this mail list.
> >
> > Russ
> >
> > = = = = = =
> >
> > URL:            https://www.ietf.org/internet-
> drafts/draft-housley-rfc5280-i18n-update-00.txt
> _______________________________________________
> Spasm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/spasm
>
>

---

From: Russ Housley <[email-masked]>
Date: Fri, 6 Jan 2017 15:33:38 -0500

Wei:

Thanks for taking the time to review the document.

> 1) The document still references RFC3490 in places which has been obsoleted by RFC5890.  Probably just need to substitute one for the other.

This was intentional.  RFC 5890 does not include a specification of ToASCII; rather, it points to Section 4 of RFC 3490.  I am trying to save the implementer the extra step.

> 2) Just mentioning that post-update, IRI will still reference RFC3987 which uses RFC3490 (IDNA2003).  May that is out of scope. 

No one has done the work to replace or update RFC 3987, so I do not see anything that is more current to reference.

> 3) The updates for EAI looks good to me.

Thanks.

Russ